package com.ruoyi.sim.mapper;

import java.util.List;

import com.ruoyi.sim.domain.Fault;

/**
 * 故障Mapper接口
 *
 * @author tom
 * @date 2024-12-13
 */
public interface FaultMapper {
    /**
     * 查询故障
     *
     * @param faultId 故障主键
     * @return 故障
     */
    public Fault selectFaultByFaultId(String faultId);

    /**
     * 查询故障列表
     *
     * @param fault 故障
     * @return 故障集合
     */
    public List<Fault> selectFaultList(Fault fault);

    /**
     * 新增故障
     *
     * @param fault 故障
     * @return 结果
     */
    public int insertFault(Fault fault);

    /**
     * 修改故障
     *
     * @param fault 故障
     * @return 结果
     */
    public int updateFault(Fault fault);

    /**
     * 删除故障
     *
     * @param faultId 故障主键
     * @return 结果
     */
    public int deleteFaultByFaultId(String faultId);

    /**
     * 批量删除故障
     *
     * @param faultIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFaultByFaultIds(String[] faultIds);
}
